#!/bin/sh -e
### BEGIN INIT INFO
# Provides:          onedrive-daemon
# Required-Start:    $local_fs $remote_fs $network
# Required-Stop:     $local_fs $remote_fs $network
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start or stop the dropbox-daemon.
### END INIT INFO

PROGRAM_NAME=datasync_center_ctl
PKG_PATH=/usr/local/AppCentral/datasync-center
GD_CTL_PATH=$PKG_PATH/bin/$PROGRAM_NAME
USER=admin

case "$1" in
    start)
        echo "Starting onedrive daemon" "$PROGRAM_NAME"
        $GD_CTL_PATH startall
        ;;
    stop)
        echo "Stopping onedrive daemon" "$PROGRAM_NAME"
		killall  -q cloudid_manager || echo "" > /dev/null
        $GD_CTL_PATH stopall
		killall -q -sigkill cloudid_manager || echo "" > /dev/null
		killall -q -sigkill cloudid_connector || echo ""> /dev/null
		killall -q -sigkill datasync_center || echo ""> /dev/null
		killall -q -sigkill datasync_center.cgi || echo ""> /dev/null
		;;
    restart)
        echo "Restarting onedrive daemon" "$PROGRAM_NAME"
        $0 stop
        $0 start
        ;;
    *)
        echo "usage: $0 {start|stop|restart}"
        exit 2
        ;;
esac

exit 0

